from setuptools import setup, find_packages

from review_stats import __version__

setup(
    name='review_stats',
    version=__version__,
    author='Mattia Verga',
    author_email='mattia.verga@protonmail.com',
    url='https://pagure.io/Fedora-Infra/review_stats',
    packages=find_packages(exclude=("tests",)),
    package_data={'review_stats': ['review-stats.cfg.example',
                                   'review-stats.cron.example',
                                   'templates/*.html',
                                   'static/*.css',
                                   'static/*.js', ], },
    license='MIT',
    description='Tool for generating Fedora review tickets summary pages.',
    install_requires=[
        'Click',
        'jinja2',
        'python-bugzilla',
        'systemd-python',
    ],
    entry_points='''
        [console_scripts]
        review-stats=review_stats.scripts.review_stats:make_page
    ''',
    python_requires=">=3.6",
)
